GDB (xrefs)

Public Attributes | List of all members
tramp_frame Struct Reference

`#include "tramp-frame.h"`

## Public Attributes
enum frame_type | frame_type
int | insn_size
struct {
ULONGEST bytes
ULONGEST mask
} | insn [48]
void(* | init )(const struct tramp_frame *self, struct frame_info *this_frame, struct trad_frame_cache *this_cache, CORE_ADDR func)
int(* | validate )(const struct tramp_frame *self, struct frame_info *this_frame, CORE_ADDR *pc)

## Detailed Description

Definition at line 46 of file tramp-frame.h.

## Member Data Documentation

## ◆ bytes

ULONGEST tramp_frame::bytes

Definition at line 63 of file tramp-frame.h.

Referenced by tramp_frame_prepend_unwinder(), and tramp_frame_start().

## ◆ frame_type

enum frame_type tramp_frame::frame_type

Definition at line 50 of file tramp-frame.h.

Referenced by tramp_frame_prepend_unwinder().

## ◆ init

void(* tramp_frame::init) (const struct tramp_frame *self, struct frame_info *this_frame, struct trad_frame_cache *this_cache, CORE_ADDR func)

Definition at line 68 of file tramp-frame.h.

Referenced by tramp_frame_cache().

## ◆ insn

struct { ... } tramp_frame::insn[48]

Referenced by sparc32_linux_step_trap(), sparc64_linux_step_trap(), tramp_frame_prepend_unwinder(), and tramp_frame_start().

## ◆ insn_size

int tramp_frame::insn_size

Definition at line 60 of file tramp-frame.h.

Referenced by tramp_frame_prepend_unwinder(), and tramp_frame_start().

## ◆ mask

ULONGEST tramp_frame::mask

Definition at line 64 of file tramp-frame.h.

Referenced by tramp_frame_start().

## ◆ validate

int(* tramp_frame::validate) (const struct tramp_frame *self, struct frame_info *this_frame, CORE_ADDR *pc)

Definition at line 76 of file tramp-frame.h.

Referenced by tramp_frame_start().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/tramp-frame.h